# -*- coding: utf-8 -*-

from PyQt5.QtCore import QCoreApplication

from View.SedimentLayers.translate import SedimentTranslate

_translate = QCoreApplication.translate


class SedimentEditTranslate(SedimentTranslate):
    def __init__(self):
        super(SedimentEditTranslate, self).__init__()

        self._dict["height"] = _translate("SedimentLayers", "Height (m)"),

        self._sub_dict["table_headers"] = {
            "name": _translate("SedimentLayers", "Name"),
            # "type": _translate("SedimentLayers", "Type"),
            "height": _translate("SedimentLayers", "Height"),
            "d50": _translate("SedimentLayers", "D50"),
            "sigma": _translate("SedimentLayers", "Sigma"),
            "critical_constraint": _translate("SedimentLayers",
                                              "Critical constraint"),
        }
